program FontTst3;
uses ObjGfx8,Font8,Keys;

type NewVesa8=object(TScreen8)
       Font:TBMFont8;
       constructor init;
       procedure DrawSomething;
       destructor done; virtual;
     end;

constructor NewVesa8.Init;
begin
 inherited init;
 Font.Init(self);
 if not Font.Load('SLPPD.BMF') then
  begin
   writeln('Error loading font');
   halt
  end;

 if not SetMode(_800x600x8bpp) then
  begin
   writeln('Error setting video mode');
   halt
  end;
{Set up the original blue-ish tint for the font}
 setrgbpalette(1,0,25,19);
 setrgbpalette(2,0,41,40);
 setrgbpalette(3,0,63,54);

{Set up a secondary palette for the font}
 setrgbpalette(4,25,25,19);
 setrgbpalette(5,40,41,40);
 setrgbpalette(6,63,63,54);

 setrgbpalette(7,25,0,0);
 setrgbpalette(8,40,0,0);
 setrgbpalette(9,63,0,0);
end;

procedure NewVesa8.DrawSomething;
var tmp:word;
begin
 with Font do
  begin
   CenterTextX(400,'Centered text starting at y=400');
   CenterTextX(400+TextHeight('|')+5,'Text placed below previous line using TextHeight()');

   {SetColorIdx is used for changing the colours in a multi-colour font}
   for tmp:=1 to 3 do
    SetColorIdx(tmp,tmp+3);

   CenterTextX(400+TextHeight('|')*2+10,'Multi-coloured text in a different colour');

   for tmp:=1 to 3 do
    SetColorIdx(tmp,tmp);

   PutText(400,200,'''Slipped'' proportional');

   for tmp:=1 to 3 do
    SetColorIdx(tmp,tmp+3);

   PutText(450,200+TextHeight('|'),'copyright 1997');

   for tmp:=1 to 3 do
    SetColorIdx(tmp,tmp+6);

   PutText(430,200+TextHeight('|')*2,'daniel robbins');
  end;
 readkey;
end;

destructor NewVesa8.Done;
begin
 inherited done;
 Font.Done;
end;

var Screen:NewVesa8;
begin
 Screen.Init;
 Screen.DrawSomething;
 Screen.Done;
end.