program FontTst4;
uses ObjGfx8,Font8,Keys;

type NewVesa8=object(TScreen8)
       Font1,Font2:TBMFont8;
       constructor init;
       procedure DrawSomething;
       destructor done; virtual;
     end;

constructor NewVesa8.Init;
begin
 inherited init;
 Font1.Init(self);
 Font2.Init(self);
 if not Font1.Load('SLPPDMC.BMF') then
  begin
   writeln('Error loading font');
   halt
  end;

 if not Font2.Load('SLPPD3D.BMF') then
  begin
   writeln('Error loading font');
   halt
  end;

 if not SetMode(_800x600x8bpp) then
  begin
   writeln('Error setting video mode');
   halt
  end;
{Set up the original blue-ish tint for the font}
 setrgbpalette(1,0,25,19);
 setrgbpalette(2,0,41,40);
 setrgbpalette(3,0,63,54);

{Set up a secondary palette for the font}
 setrgbpalette(4,25,25,19);
 setrgbpalette(5,40,41,40);
 setrgbpalette(6,63,63,54);

 setrgbpalette(7,25,0,0);
 setrgbpalette(8,40,0,0);
 setrgbpalette(9,63,0,0);
end;

procedure NewVesa8.DrawSomething;
var tmp:word;
begin
 Font1.SetColor(15);
 Font1.CenterTextX(400,'Centered text using one font');
 Font2.CenterTextX(400+Font1.TextHeight('|')+5,'Centered text using another font');

 {SetColorIdx is used for changing the colours in a multi-colour font}
 for tmp:=1 to 3 do
  Font2.SetColorIdx(tmp,tmp+3);

 Font2.CenterTextX(400+Font1.TextHeight('|')+Font2.TextHeight('|')+10,'Multi-coloured text in a different colour');

   for tmp:=1 to 3 do
    Font2.SetColorIdx(tmp,tmp);

   Font2.PutText(300,200,'''Slipped-3d'' & ''Slipped-Micro'' proportional');

   Font1.PutText(450,220,'copyright 1997');

   for tmp:=1 to 3 do
    Font2.SetColorIdx(tmp,tmp+6);

   Font2.PutText(430,230,'daniel robbins');
 readkey;
end;

destructor NewVesa8.Done;
begin
 inherited done;
 Font1.Done;
 Font2.Done;
end;

var Screen:NewVesa8;
begin
 Screen.Init;
 Screen.DrawSomething;
 Screen.Done;
end.