program FontTst2;
uses ObjGfx8,Font8,Keys;

type NewVesa8=object(TScreen8)
       Font:TBlitFont8;
       constructor init;
       procedure DrawSomething;
       destructor done; virtual;
     end;

constructor NewVesa8.Init;
begin
 inherited init;
 Font.Init(self);
 if not Font.Load('WC2.BLF') then
  begin
   writeln('Error loading font');
   halt
  end;

 if not SetMode(_800x600x8bpp) then
  begin
   writeln('Error setting video mode');
   halt
  end;
 setrgbpalette(252,0,0,0);
 setrgbpalette(253,31,31,31);
 setrgbpalette(254,53,53,53);
 setrgbpalette(255,63,63,63);
end;

procedure NewVesa8.DrawSomething;
const OutputString:string='Text placed below previous line using TextHeight()';
begin
 with Font do
  begin
   PutText(100,100,'Standard text drawing at (100,100)');
   CenterTextX(400,'Centered text starting at y=400');
   CenterTextX(400+TextHeight('|'),OutputString);

   JustifyText(LeftText,TopText,'Left Top justification');
   JustifyText(CenterText,TopText,'Center Top justification');
   JustifyText(RightText,TopText,'Right Top justification');
   JustifyText(LeftText,CenterText,'Left center justification');
   JustifyText(CenterText,CenterText,'This is text is centered');
   JustifyText(RightText,CenterText,'Right center justification');
   JustifyText(LeftText,BottomText,'Left bottom justification');
   JustifyText(CenterText,BottomText,'Center bottom justification');
   JustifyText(RightText,BottomText,'Right bottom justification');
  end;
 readkey;
end;

destructor NewVesa8.Done;
begin
 inherited done;
 Font.Done;
end;

var Screen:NewVesa8;
begin
 Screen.Init;
 Screen.DrawSomething;
 Screen.Done;
end.