program FontTst5;
uses ObjGfx8,Font8,Keys;

type NewVesa8=object(TScreen8)
       Font:TDPFont8;
       BlitFont:TBlitFont8;
       constructor init;
       procedure DrawSomething;
       destructor done; virtual;
     end;

constructor NewVesa8.Init;
begin
 inherited init;
 Font.Init(self);
 BlitFont.Init(self);
 if not BlitFont.Load('WC2.BLF') then
  begin
   writeln('Error loading font');
   halt
  end;

 if not Font.Load('COURIER.DPF') then
  begin
   writeln('Error loading font');
   halt
  end;

 if not SetMode(_640x480x8bpp) then
  begin
   writeln('Error setting video mode');
   halt
  end;

 {Set up the palette for the blitfont}
 setrgbpalette(252,0,0,0);
 setrgbpalette(253,31,31,31);
 setrgbpalette(254,53,53,53);
 setrgbpalette(255,63,63,63);
end;

procedure NewVesa8.DrawSomething;
var xx,yy:word;
    s:string[16];
    ch:char;
begin
 with Font do
  begin
   SetColor(15);
   ch:=#0;
   s[0]:=#16;
   for yy:=0 to 15 do
    begin
     for xx:=1 to 16 do
      begin
       s[xx]:=ch;
       inc(ch)
      end;
     PutText(0,yy*(TextHeight('M')+2),s);
     BlitFont.PutText(300,yy*BlitFont.TextHeight('M')+2,s);
    end;
   SetColor(12);
   PutText(0,300,'http://www.monstersoft.com');
   BlitFont.PutText(0,300+textheight('@')+2,'http://www.monstersoft.com');
  end;
 readkey;
end;

destructor NewVesa8.Done;
begin
 inherited done;
 BlitFont.Done;
 Font.Done;
end;

var Screen:NewVesa8;
begin
 Screen.Init;
 Screen.DrawSomething;
 Screen.Done;
end.